org.apache.olingo.odata2.client.core.edm.Impl

## Class EdmAssociationSetImpl

- java.lang.Object
- - org.apache.olingo.odata2.client.core.edm.Impl.EdmNamedImpl
  - - org.apache.olingo.odata2.client.core.edm.Impl.EdmAssociationSetImpl

- All Implemented Interfaces:
    EdmAnnotatable, EdmAssociationSet, EdmNamed

      public class EdmAssociationSetImpl
      extends EdmNamedImpl
      implements EdmAssociationSet, EdmAnnotatable

  Objects of this class represent AssociationSet

- - ### Field Summary

    - ### Fields inherited from class org.apache.olingo.odata2.client.core.edm.Impl.EdmNamedImpl

      `edm, name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EdmAssociationSetImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `EdmAnnotations` | `getAnnotations()` Get all annotations applied to an EDM element
    `EdmAssociation` | `getAssociation()` Get the association
    `FullQualifiedName` | `getAssociationSetFQName()`
    `EdmAssociationSetEnd` | `getEnd(String role)` Get the association set end
    `EdmAssociationSetEnd` | `getEnd1()`
    `EdmAssociationSetEnd` | `getEnd2()`
    `EdmEntityContainer` | `getEntityContainer()` Get the entity container the association set is located in
    `void` | `setAnnotations(EdmAnnotations annotations)`
    `void` | `setAssociation(FullQualifiedName associationSetFQName)`
    `void` | `setDocumentation(EdmDocumentation documentation)`
    `void` | `setEdmEntityContainer(EdmEntityContainer edmEntityContainer)`
    `void` | `setEnd1(EdmAssociationSetEnd end1)`
    `void` | `setEnd2(EdmAssociationSetEnd end2)`
    `String` | `toString()`

    - ### Methods inherited from class org.apache.olingo.odata2.client.core.edm.Impl.EdmNamedImpl

      `getName, setEdm, setName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.olingo.odata2.api.edm.EdmNamed

      `getName`

- - ### Constructor Detail

    - #### EdmAssociationSetImpl

          public EdmAssociationSetImpl()

  - ### Method Detail

    - #### getAssociationSetFQName

          public FullQualifiedName getAssociationSetFQName()

    - #### setDocumentation

          public void setDocumentation(EdmDocumentation documentation)

    - #### getAssociation

          public EdmAssociation getAssociation()
                                        throws EdmException

      Description copied from interface: `EdmAssociationSet`
      Get the association
      Specified by:
        `getAssociation` in interface `EdmAssociationSet`
      Returns:
        `EdmAssociation`
      Throws:
        `EdmException`

    - #### setAnnotations

          public void setAnnotations(EdmAnnotations annotations)

      Parameters:
        `annotations` - the annotations to set

    - #### setEdmEntityContainer

          public void setEdmEntityContainer(EdmEntityContainer edmEntityContainer)

      Parameters:
        `edmEntityContainer` - the edmEntityContainer to set

    - #### getEnd

          public EdmAssociationSetEnd getEnd(String role)
                                      throws EdmException

      Description copied from interface: `EdmAssociationSet`
      Get the association set end
      Specified by:
        `getEnd` in interface `EdmAssociationSet`
      Returns:
        `EdmAssociationSetEnd`
      Throws:
        `EdmException`

    - #### getEntityContainer

          public EdmEntityContainer getEntityContainer()
                                                throws EdmException

      Description copied from interface: `EdmAssociationSet`
      Get the entity container the association set is located in
      Specified by:
        `getEntityContainer` in interface `EdmAssociationSet`
      Returns:
        `EdmEntityContainer`
      Throws:
        `EdmException`

    - #### getAnnotations

          public EdmAnnotations getAnnotations()
                                        throws EdmException

      Description copied from interface: `EdmAnnotatable`
      Get all annotations applied to an EDM element
      Specified by:
        `getAnnotations` in interface `EdmAnnotatable`
      Returns:
        `EdmAnnotations` never null
      Throws:
        `EdmException`

    - #### setAssociation

          public void setAssociation(FullQualifiedName associationSetFQName)

    - #### setEnd1

          public void setEnd1(EdmAssociationSetEnd end1)

    - #### setEnd2

          public void setEnd2(EdmAssociationSetEnd end2)

    - #### getEnd2

          public EdmAssociationSetEnd getEnd2()

      Returns:
        the end2

    - #### getEnd1

          public EdmAssociationSetEnd getEnd1()

      Returns:
        the end1

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `EdmNamedImpl`

Copyright © 2013-2022 The Apache Software Foundation. All Rights Reserved.